Skip to main content
GET
/
v1
/
terminal
/
offers
/
{id}
Retrieve a terminal offer
curl --request GET \
  --url https://api.yorlet.com/v1/terminal/offers/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "terminal.offer",
  "complimentary_item": {},
  "discount": {
    "amount_off": 1,
    "min_spend": 1,
    "percent_off": 50
  },
  "expires_at": 123,
  "location": "<string>",
  "max_redemptions": 123,
  "name": "<string>",
  "terms_of_service": {
    "text": "<string>"
  },
  "trigger": {
    "type": "move_in"
  },
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Get a terminal offer

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
terminal.offer
complimentary_item
object
required

Details about the complimentary item offered. Required when type is complimentary_item.

discount
object
required

Details about the discount offered. Required when type is discount.

expires_at
integer | null
required

The date and time at which the offer expires.

location
required

The location the offer applies to.

max_redemptions
number | null
required

The maximum number of times the offer can be redeemed.

name
string
required

A name for the offer.

Minimum string length: 1
status
enum<string>
required

The status of the offer.

Available options:
active,
inactive,
expired
terms_of_service
object
required

The terms of service that apply to the offer.

trigger
object
required

A trigger that automatically grants the offer when an event occurs.

type
enum<string>
required

The type of the offer.

Available options:
complimentary_item,
discount
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.